{
  lib,
  config,
  ...
}:
let
  cfg = config.programs.nvim-lazy;
in
{
  imports = [ ./config.nix ];

  config = (lib.mkIf cfg.enable) {
    _module.check = lib.mkDefault false;
    environment.systemPackages = [
      cfg.finalPackage
    ];
  };
}
